#ifndef SHIFileH
#define	SHIFileH
//------------------------------------------------------------------------------
#include <File.h>
//------------------------------------------------------------------------------
class	TSHIFile : public BFile
{
public:
	TSHIFile() : BFile() {};
	TSHIFile(const entry_ref *ref,uint32 open_mode) : BFile(ref,open_mode) {};
	TSHIFile(const BEntry *entry,uint32 open_mode) : BFile(entry,open_mode) {};
	TSHIFile(const char *path,uint32 open_mode) : BFile(path,open_mode) {};
	TSHIFile(const BDirectory *dir,const char *path,uint32 open_mode)
			: BFile(dir,path,open_mode) {};
	TSHIFile(const BFile &file) : BFile(file) {};
	virtual ~TSHIFile() {};

	virtual bool	Eof();										//EOF
	virtual ssize_t	ReadLine(char *szBuffer,ssize_t xMaxSize);	//１行読み込み
			//xMaxSize = xMaxLen+1 : 100文字読むなら101
	virtual ssize_t	WriteLine(const char *szBuffer);			//１行書き込み
};
//------------------------------------------------------------------------------
#endif	//SHIFileH
