/*==============================================================================
		ファイルアクセスクラス	for ＢｅＯＳ		Ver 1.00
		Copyright (C) 1999 by ＳＨＩＮＴＡ
		Last Modified 1999.02.18
==============================================================================*/

/*==============================================================================
 Ver. |					主な改良点
--------------------------------------------------------------------------------
 ---- | 1999.02.19.Fr 開発着手。
 1.00 | 1999.02.20.Sa オリジナルバージョン。Eof()、ReadLine()、WriteLine()。
==============================================================================*/

/*=== Memo =====================================================================
==============================================================================*/

#include "SHIFile.h"
//------------------------------------------------------------------------------
bool	TSHIFile::Eof()
{
	off_t	xSize;
	
	GetSize(&xSize);
	return (Position() >= xSize);
}
//------------------------------------------------------------------------------
ssize_t	TSHIFile::ReadLine(char *szBuffer,ssize_t xMaxSize)
{
	int		iCount = 0;

	while ( iCount < xMaxSize-1 && !Eof() ) {
		Read(&szBuffer[iCount],1);
		if ( szBuffer[iCount] == '\n' )	break;
		iCount++;
	}
	szBuffer[iCount] = '\0';
	return iCount;
}
//------------------------------------------------------------------------------
ssize_t	TSHIFile::WriteLine(const char *szBuffer)
{
	ssize_t	xSize;
	
	xSize = Write(szBuffer,strlen(szBuffer));
	xSize += Write("\n",1);
	return xSize;
}
//------------------------------------------------------------------------------
